// Autogenerated by gen_tests.py
use mwapi_responses::prelude::*;

mod test_client;

#[query(action = "query", list = "usercontribs")]
struct Response0;

#[tokio::test]
async fn query_usercontribs_default() {
    let mut params = Response0::params().to_vec();
    params.push(("ucuser", "Maintenance script"));
    let resp: Response0 = test_client::test(&params).await.unwrap();
    assert_eq!(resp.items().len(), 10);
    assert!(!resp.continue_.is_empty());
}

#[query(action = "query", list = "usercontribs", ucprop = "comment")]
struct Response1;

#[tokio::test]
async fn query_usercontribs_comment() {
    let mut params = Response1::params().to_vec();
    params.push(("ucuser", "Maintenance script"));
    let resp: Response1 = test_client::test(&params).await.unwrap();
    assert_eq!(resp.items().len(), 10);
    assert!(!resp.continue_.is_empty());
}

#[query(action = "query", list = "usercontribs", ucprop = "flags")]
struct Response2;

#[tokio::test]
async fn query_usercontribs_flags() {
    let mut params = Response2::params().to_vec();
    params.push(("ucuser", "Maintenance script"));
    let resp: Response2 = test_client::test(&params).await.unwrap();
    assert_eq!(resp.items().len(), 10);
    assert!(!resp.continue_.is_empty());
}

#[query(action = "query", list = "usercontribs", ucprop = "ids")]
struct Response3;

#[tokio::test]
async fn query_usercontribs_ids() {
    let mut params = Response3::params().to_vec();
    params.push(("ucuser", "Maintenance script"));
    let resp: Response3 = test_client::test(&params).await.unwrap();
    assert_eq!(resp.items().len(), 10);
    assert!(!resp.continue_.is_empty());
}

#[query(action = "query", list = "usercontribs", ucprop = "parsedcomment")]
struct Response4;

#[tokio::test]
async fn query_usercontribs_parsedcomment() {
    let mut params = Response4::params().to_vec();
    params.push(("ucuser", "Maintenance script"));
    let resp: Response4 = test_client::test(&params).await.unwrap();
    assert_eq!(resp.items().len(), 10);
    assert!(!resp.continue_.is_empty());
}

#[query(action = "query", list = "usercontribs", ucprop = "patrolled")]
struct Response5;

#[ignore] // broken because patrolled requires user permissions
#[tokio::test]
async fn query_usercontribs_patrolled() {
    let mut params = Response5::params().to_vec();
    params.push(("ucuser", "Maintenance script"));
    let resp: Response5 = test_client::test(&params).await.unwrap();
    assert_eq!(resp.items().len(), 10);
    assert!(!resp.continue_.is_empty());
}

#[query(action = "query", list = "usercontribs", ucprop = "size")]
struct Response6;

#[tokio::test]
async fn query_usercontribs_size() {
    let mut params = Response6::params().to_vec();
    params.push(("ucuser", "Maintenance script"));
    let resp: Response6 = test_client::test(&params).await.unwrap();
    assert_eq!(resp.items().len(), 10);
    assert!(!resp.continue_.is_empty());
}

#[query(action = "query", list = "usercontribs", ucprop = "sizediff")]
struct Response7;

#[tokio::test]
async fn query_usercontribs_sizediff() {
    let mut params = Response7::params().to_vec();
    params.push(("ucuser", "Maintenance script"));
    let resp: Response7 = test_client::test(&params).await.unwrap();
    assert_eq!(resp.items().len(), 10);
    assert!(!resp.continue_.is_empty());
}

#[query(action = "query", list = "usercontribs", ucprop = "tags")]
struct Response8;

#[tokio::test]
async fn query_usercontribs_tags() {
    let mut params = Response8::params().to_vec();
    params.push(("ucuser", "Maintenance script"));
    let resp: Response8 = test_client::test(&params).await.unwrap();
    assert_eq!(resp.items().len(), 10);
    assert!(!resp.continue_.is_empty());
}

#[query(action = "query", list = "usercontribs", ucprop = "timestamp")]
struct Response9;

#[tokio::test]
async fn query_usercontribs_timestamp() {
    let mut params = Response9::params().to_vec();
    params.push(("ucuser", "Maintenance script"));
    let resp: Response9 = test_client::test(&params).await.unwrap();
    assert_eq!(resp.items().len(), 10);
    assert!(!resp.continue_.is_empty());
}

#[query(action = "query", list = "usercontribs", ucprop = "title")]
struct Response10;

#[tokio::test]
async fn query_usercontribs_title() {
    let mut params = Response10::params().to_vec();
    params.push(("ucuser", "Maintenance script"));
    let resp: Response10 = test_client::test(&params).await.unwrap();
    assert_eq!(resp.items().len(), 10);
    assert!(!resp.continue_.is_empty());
}
